/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/

#include <fxlib.h>
#include <stdlib.h>

#include "lib/ECode.h"
#include "render/Camera.h"
#include "render/Vertex.h"

int main()
{
	Camera *camera = NULL;
	
	camera = Camera_Init(
		15, 15, -10,
		15, 15, 0, 
		0, 1, 0,
		0.01, 1000, 
		10, (double)128/64);


	while(1) {
		Vertex_Mode(VTX_QUAD);

			Vertex_Add(10, 10, 0);
			Vertex_Add(10, 20, 0);
			Vertex_Add(20, 20, 0);
			Vertex_Add(20, 10, 0);

			Vertex_Add(20, 10, 0);
			Vertex_Add(20, 10, 100);
			Vertex_Add(20, 20, 100);
			Vertex_Add(20, 20, 0);

		Vertex_Flush();
	}

	return 1;
}

//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int AddIn_main(int isAppli, unsigned short OptionNum)
{
	return main();
}




//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
	return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section
