#ifndef RENDER_CAMERA
#define RENDER_CAMERA

#include "math/Vector.h"

typedef struct Camera Camera;
struct Camera
{
	Vector3f eye, center, up;
	float zNear, zFar, fov;
	double ratio;
};

Camera* Camera_Init(
	float x, float y, float z,
	float lookX, float looxY, float lookZ,
	float norX, float norY, float norZ,
	float zNear, float zFar,
	float fov, double ratio);
Camera* Camera_Get(void);
void Camera_ToProjectionMatrix(float *ret);
void Camera_ToTransformMatrix(float *ret);

#endif